#ifdef VHDL

/*
 * $Id$
 *
 * [ Description ]
 * 
 */

#include "Behavioural/include/Vhdl.h"

#include <sstream>
using namespace std;

namespace morpheo              {
namespace behavioural          {
  
  string Vhdl::direction_toString (direction_t direction)
  {
    switch (direction)
      {
      case IN    : return "in    "; break;
      case OUT   : return "out   "; break;
      case INOUT : return "inout "; break;
      }
    return "";
  };
  
}; // end namespace behavioural          
}; // end namespace morpheo              

#endif
